> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.propexo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.propexo.com/_mcp/server.

# Create Service Request: Propertyware

POST https://api.propexo.com/v1/service-requests/propertyware/
Content-Type: application/json

Create Service Request: Propertyware| Method          |
| --------------- |
| createWorkOrder |Due to PMS limitations, the ID of the created record cannot be retrieved. This will be found on the next data sync.

Reference: https://docs.propexo.com/api-reference/propertyware-soap/service-requests/create-service-request-propertyware

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.propexo.com` (Production, default)
- `https://api.sandbox.propexo.com` (Sandbox)

## Request

### Body (application/json)

This endpoint expects a _v1_service-requests_propertyware__post_input.

- `integration_id` (string, required) — The Propexo unique identifier for the integration
- `property_id` (string, required) — The Propexo unique identifier for the property
- `unit_id` (string, optional) — The Propexo unique identifier for the unit
- `vendor_id` (string, optional) — The Propexo unique identifier for the vendor
- `lease_id` (string, optional) — The Propexo unique identifier for the lease
- `access_is_authorized` (boolean, optional) — Whether or not the tenant has granted permission to enter the unit associated with the service request
- `service_description` (string, optional) — A description of the service request
- `service_category` (string, optional) — The category of service request
- `date_completed` (string, optional) — The date the service request was completed
- `date_created` (string, optional) — The date the service request was created
- `service_details` (string, optional) — Details about the service request
- `date_due` (string, optional) — The due date associated with the service request
- `date_scheduled` (string, optional) — The date the service request is scheduled
- `status_raw` (string, optional) — The status associated with the work order

## Response

### 200

Successful response

- `meta` (V1ServiceRequestsPropertywarePostOutputMeta, required)
- `result` (V1ServiceRequestsPropertywarePostOutputResult, required)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (ErrorResponseError, required)

## Types

### V1ServiceRequestsPropertywarePostOutputMeta

- `job_id` (string, required)

### V1ServiceRequestsPropertywarePostOutputResult

- `integration_id` (string, required) — The Propexo unique identifier for the integration
- `property_id` (string, required) — The Propexo unique identifier for the property
- `unit_id` (string, required, nullable) — The Propexo unique identifier for the unit
- `vendor_id` (string, required, nullable) — The Propexo unique identifier for the vendor
- `lease_id` (string, required, nullable) — The Propexo unique identifier for the lease
- `access_is_authorized` (boolean, required, nullable) — Whether or not the tenant has granted permission to enter the unit associated with the service request
- `service_description` (string, required, nullable) — A description of the service request
- `service_category` (string, required, nullable) — The category of service request
- `date_completed` (string, required, nullable) — The date the service request was completed
- `date_created` (string, required, nullable) — The date the service request was created
- `service_details` (string, required, nullable) — Details about the service request
- `date_due` (string, required, nullable) — The due date associated with the service request
- `date_scheduled` (string, required, nullable) — The date the service request is scheduled
- `status_raw` (string, required, nullable) — The status associated with the work order

### ErrorResponseError

- `code` (string, required)
- `message` (string, required)
- `details` (map from string to any, optional)

## Examples

**Request**

```json
{
  "integration_id": "intg-987654321",
  "property_id": "prop-123456789"
}
```

**Response**

```json
{
  "meta": {
    "job_id": "job-20240615-001"
  },
  "result": {
    "integration_id": "intg-987654321",
    "property_id": "prop-123456789",
    "unit_id": "unit-456789123",
    "vendor_id": "vend-321654987",
    "lease_id": "lease-789123456",
    "access_is_authorized": true,
    "service_description": "Air conditioning unit repair",
    "service_category": "HVAC",
    "date_completed": "2024-06-10T14:00:00Z",
    "date_created": "2024-06-05T09:30:00Z",
    "service_details": "Technician to inspect and repair the air conditioning unit in the living room.",
    "date_due": "2024-06-12T17:00:00Z",
    "date_scheduled": "2024-06-11T10:00:00Z",
    "status_raw": "Scheduled"
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.propexo.com/v1/service-requests/propertyware/"

payload = {
    "integration_id": "intg-987654321",
    "property_id": "prop-123456789"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.propexo.com/v1/service-requests/propertyware/';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"integration_id":"intg-987654321","property_id":"prop-123456789"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.propexo.com/v1/service-requests/propertyware/"

	payload := strings.NewReader("{\n  \"integration_id\": \"intg-987654321\",\n  \"property_id\": \"prop-123456789\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.propexo.com/v1/service-requests/propertyware/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"integration_id\": \"intg-987654321\",\n  \"property_id\": \"prop-123456789\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.propexo.com/v1/service-requests/propertyware/")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"integration_id\": \"intg-987654321\",\n  \"property_id\": \"prop-123456789\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.propexo.com/v1/service-requests/propertyware/', [
  'body' => '{
  "integration_id": "intg-987654321",
  "property_id": "prop-123456789"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.propexo.com/v1/service-requests/propertyware/");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"integration_id\": \"intg-987654321\",\n  \"property_id\": \"prop-123456789\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "integration_id": "intg-987654321",
  "property_id": "prop-123456789"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.propexo.com/v1/service-requests/propertyware/")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```